﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace ScheduleView_GroupHeader_SL
{
	public class OrientedGroupHeaderContentTemplateSelector : ScheduleViewDataTemplateSelector
	{
		private DataTemplate dateGroupHeaderDataTemplate;
		private DataTemplate resourceGroupHeaderDataTemplate;

		public DataTemplate ResourceGroupHeaderDataTemplate
		{
			get
			{
				return this.resourceGroupHeaderDataTemplate;
			}
			set
			{
				this.resourceGroupHeaderDataTemplate = value;
			}
		}

		public DataTemplate DateGroupHeaderDataTemplate
		{
			get
			{
				return this.dateGroupHeaderDataTemplate;
			}
			set
			{
				this.dateGroupHeaderDataTemplate = value;
			}
		}


		public override DataTemplate SelectTemplate(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
		{
			CollectionViewGroup cvg = item as CollectionViewGroup;
			if (cvg != null && cvg.Name is IResource)
			{
				return this.resourceGroupHeaderDataTemplate;
			}
			else
			{
				return this.dateGroupHeaderDataTemplate;
			}
			//return base.SelectTemplate(item, container, activeViewDeifinition);
		}
	}
}
